Subject: Re: [PATCH v3 02/12] netlink: spec: add shaper YAML spec

From: Jakub Kicinski <[email-masked]>
Date: Tue, 13 Aug 2024 07:58:28 -0700

On Tue, 13 Aug 2024 16:47:34 +0200 Paolo Abeni wrote:
> >> Creating a node inside a tree, isn't it? Therefore subtree.  
> > 
> > All nodes are inside the tree.
> >   
> >> But it could be unified to node_set() as Paolo suggested. That would
> >> work for any node, including leaf, tree, non-existent internal node.  
> > 
> > A "set" operation which creates a node.  
> 
> Here the outcome is unclear to me. My understanding is that group() does 
> not fit Jiri nor Donald and and node_set() or subtree_set() do not fit 
> Jakub.
> 
> Did I misread something? As a trade-off, what about, group_set()?

"set" is not a sensible verb for creating something. "group" in 
the original was the verb.
Why are both saying "set" and not "create"? What am I missing?